Auth Configs
List authentication configurations with optional filters
Retrieves all auth configs for your project. Auth configs define how users authenticate with external services (OAuth, API keys, etc.). Use filters to find configs for specific toolkits or to distinguish between Composio-managed and custom configurations.
GET
/
api
/
v3.1
/
auth_configs
List authentication configurations with optional filters
import requests
url = "https://backend.composio.dev/api/v3.1/auth_configs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/auth_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/auth_configs \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/auth_configs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/auth_configs")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/auth_configs");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"id": "<string>",
"uuid": "<string>",
"type": "default",
"toolkit": {
"slug": "<string>",
"logo": "<string>",
"auth_guide_url": "<string>",
"auth_hint_url": "<string>"
},
"name": "<string>",
"status": "ENABLED",
"no_of_connections": 123,
"tool_access_config": {
"tools_for_connected_account_creation": [],
"tools_available_for_execution": []
},
"auth_scheme": "OAUTH2",
"is_composio_managed": true,
"credentials": {},
"proxy_config": {
"proxy_url": "<string>",
"proxy_auth_key": "<string>"
},
"created_by": "<string>",
"created_at": "<string>",
"last_updated_at": "<string>",
"expected_input_fields": [
{
"name": "<string>",
"displayName": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"user_visible": true,
"default": "<string>",
"is_secret": true,
"legacy_template_name": "<string>",
"is_available_as_shared_credentials": true
}
],
"restrict_to_following_tools": [
"<string>"
],
"shared_credentials": {},
"shared_connection_fields": {},
"is_enabled_for_tool_router": true
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
ApiKeyAuthUserApiKeyAuth
Query Parameters
List authentication configurations with optional filters
import requests
url = "https://backend.composio.dev/api/v3.1/auth_configs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/auth_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/auth_configs \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/auth_configs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/auth_configs")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/auth_configs");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"id": "<string>",
"uuid": "<string>",
"type": "default",
"toolkit": {
"slug": "<string>",
"logo": "<string>",
"auth_guide_url": "<string>",
"auth_hint_url": "<string>"
},
"name": "<string>",
"status": "ENABLED",
"no_of_connections": 123,
"tool_access_config": {
"tools_for_connected_account_creation": [],
"tools_available_for_execution": []
},
"auth_scheme": "OAUTH2",
"is_composio_managed": true,
"credentials": {},
"proxy_config": {
"proxy_url": "<string>",
"proxy_auth_key": "<string>"
},
"created_by": "<string>",
"created_at": "<string>",
"last_updated_at": "<string>",
"expected_input_fields": [
{
"name": "<string>",
"displayName": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"user_visible": true,
"default": "<string>",
"is_secret": true,
"legacy_template_name": "<string>",
"is_available_as_shared_credentials": true
}
],
"restrict_to_following_tools": [
"<string>"
],
"shared_credentials": {},
"shared_connection_fields": {},
"is_enabled_for_tool_router": true
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}